import processing.pdf.*;

float[][] distances;
float maxDistance;
float spacer;
float hspacer = 3;
float cool;


void setup() {
  //size(600, 600);
  size(600, 100, PDF, "001.pdf");;
  //init table
  distances = new float[width][height];
  for (int y =0; y< height; y+=3){ 
    // rdm spacer
    spacer = random(1,width/2);    
    for (int x =0; x< spacer; x++){
      distances[x][y] = distances[x][y] + width/spacer; 
      //println(distances[x][0]);
    }
  }
  noLoop();
  noStroke();
}


void draw(){
  background(255);

  for (int y =0; y< height; y++){  
    for (int x =0; x< width; x++){
      hspacer = random(3,20);
      cool = map(hspacer,3,30,0,255);
      fill(0,cool);
      ellipse(distances[x][y]*x,y,distances[x][y]/2,hspacer);
    }
  }
  
  exit();
}
